# class Date

#### no package

Available on all platforms

The Date class provides a basic structure for date and time related information. Date instances can be created by

- `new Date()` for a specific date,
- `Date.now()` to obtain information about the current time,
- `Date.fromTime()` with a given timestamp or
- `Date.fromString()` by parsing from a String.

There are some extra functions available in the `DateTools` class.

In the context of Haxe dates, a timestamp is defined as the number of milliseconds elapsed since 1st January 1970.

### Constructor

###

`new (year:Int, month:Int, day:Int, hour:Int, min:Int, sec:Int)`

Creates a new date object from the given arguments.

The behaviour of a Date instance is only consistent across platforms if the the arguments describe a valid date.

- month: 0 to 11
- day: 1 to 31
- hour: 0 to 23
- min: 0 to 59
- sec: 0 to 59

### Methods

###

`getDate ():Int`

Available on Flash, HTML5

Returns the day of `this` Date (1-31 range).

###

`getDay ():Int`

Available on Flash, HTML5

Returns the day of the week of `this` Date (0-6 range) where `0` is Sunday.

###

`getFullYear ():Int`

Available on Flash, HTML5

Returns the full year of `this` Date (4-digits).

###

`getHours ():Int`

Available on Flash, HTML5

Returns the hours of `this` Date (0-23 range).

###

`getMinutes ():Int`

Available on Flash, HTML5

Returns the minutes of `this` Date (0-59 range).

###

`getMonth ():Int`

Available on Flash, HTML5

Returns the month of `this` Date (0-11 range).

###

`getSeconds ():Int`

Available on Flash, HTML5

Returns the seconds of `this` Date (0-59 range).

###

`getTime ():Float`

Returns the timestamp (in milliseconds) of the date. It might only have a per-second precision depending on the platforms.

###

`toString ():String`

Returns a string representation of `this` Date, by using the standard format [YYYY-MM-DD HH:MM:SS]. See `DateTools.format` for other formating rules.

### Static methods

###

`staticfromString (s:String):Date`

Returns a Date from a formated string `s`, with the following accepted formats:

- `"YYYY-MM-DD hh:mm:ss"`
- `"YYYY-MM-DD"`
- `"hh:mm:ss"`

The first two formats are expressed in local time, the third in UTC Epoch.

###

`staticfromTime (t:Float):Date`

Returns a Date from timestamp `t`.

###

`staticnow ():Date`

Returns a Date representing the current local time.